[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DeleteObject

Deletes a graphic object, freeing all system resources associated with the object.

## Declaration

Source position: winapih.inc line 76

`public function TWidgetSet.DeleteObject(`
`GDIObject: HGDIOBJ`
`):Boolean; virtual;`

## Function result

False on failure.

## Errors

The function fails when the Handle has been selected into a DC.